@import "config";
@import "menu";
html {
  font-size: 16px;
}

* {
  box-sizing: border-box;
}

body {
  @include background;
  background: $primary-color;
  color: $text-primary;
  height: 100%;
  margin: 0;
  font-family: "Source Code Pro", monospace;
  line-height: 1.5;
  min-height: calc(100vh - 60px);
}

h1,
h2,
h3 {
  margin: 0;
  font-weight: bold;
  text-shadow: 0 0 5px #000;

  &.lg-heading {
    font-size: 4rem;
  }
  &.sm-heading {
    margin-bottom: 2rem;
    padding: 0.2rem 1rem;
    background: rgba(lighten($primary-color, 5), 0.5);
  }
}

a {
  color: $text-primary;
  text-decoration: none;
  &:hover {
    color: $secondary-color;
    @include easeOut;
  }
}

header {
  position: fixed;
  z-index: 2;
  width: 100%;
}

.text-secondary {
  color: $secondary-color;
}

main {
  padding: 4rem;
  height: 100%;
  min-height: calc(100vh - 60px);

  .icons {
    margin-top: 1rem;

    a {
      padding: 0.4rem;

      &:hover {
        color: $secondary-color;
        @include easeOut;
      }
    }
  }

  &#home {
    overflow: hidden;
    h1 {
      margin-top: 20vh;
    }
  }
}

.about-info {
  display: grid;
  grid-gap: 30px;
  grid-template-areas: "bioimage bio bio" "techstack techstack techstack" "job1 job2 job3";
  grid-template-columns: repeat(3, 1fr);

  .bio-image {
    grid-area: bioimage;
    margin: auto;
    border-radius: 50%;
    border: $secondary-color 3px solid;
  }

  .bio {
    grid-area: bio;
    font-size: 1.5rem;
  }

  .tech-stack {
    grid-area: techstack;
    text-align: center;
    i {
      padding: 1.5rem;
      color: #c9c9c9;
    }
  }

  .job-1 {
    grid-area: job1;
  }

  .job-2 {
    grid-area: job2;
  }

  .job-3 {
    grid-area: job3;
  }

  .job {
    background: darken($primary-color, 5);
    padding: 0.5rem;
    border-bottom: $secondary-color 3px solid;
    ul {
      list-style: none;
      text-align: left;
    }
  }
}

.projects {
  display: grid;
  grid-gap: 0.7rem;
  grid-template-columns: repeat(3, 1fr);
  .item {
    opacity: 0.6;
    background: linear-gradient(darken($primary-color, 5), #000);

    text-align: center;
    &:hover {
      opacity: 1;
      @include easeOut;
    }
    p {
      color: $text-primary;
    }
    h3,
    h6 {
      margin-left: 1rem;
      margin-right: 1rem;
    }
  }
  img {
    width: 75%;
    border: $text-primary 2px solid;
    margin-top: 2rem;
  }
}

.boxes {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  align-items: center;
  margin-top: 5rem;

  div {
    font-size: 2rem;
    border: $text-primary 3px solid;
    padding: 1.5rem 2.5rem;
    margin-bottom: 3rem;
    @include easeOut;

    &:hover {
      padding: 0.5rem 1.5rem;
      background: $secondary-color;
      color: $text-primary;
      span {
        color: #333;
      }
    }
  }
}

.btn {
  display: block;
  padding: 0.5rem 1rem;
  border: 0;
  margin-bottom: 0.3rem;
  &:hover {
    background: $secondary-color;
    color: $text-primary;
  }
}

.btn-light {
  @extend .btn;
  background: lighten($primary-color, 50);
  color: #333;
}
.btn-dark {
  @extend .btn;
  background: darken($primary-color, 50);
  color: #fff;
}

#main-footer {
  text-align: center;
  padding: 1rem;
  background: darken($primary-color, 10);
  color: $text-primary;
  height: 60px;
}
@import "mobile";
